Bug 120570 - sawfish does not handle pango font selection
Summary: sawfish does not handle pango font selection
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: sawfish (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-10 23:20 UTC by Michal Jaegermann
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-09 03:13:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
changes to a sawfish.spec (971 bytes, text/plain)
2004-04-10 23:22 UTC, Michal Jaegermann
no flags Details
a patch for sawfish to make it to work with the current gnome (590.90 KB, patch)
2004-04-10 23:25 UTC, Michal Jaegermann
no flags Details | Diff

Description Michal Jaegermann 2004-04-10 23:20:35 UTC
Description of problem:

Sawfish, as provided, mishandles fonts descriptors as returned
"pango style" by font selectors.  Attached patch brings sawfish
to the status of the current cvs and this version of that
window manager does not have these problems.

Missing from specs file OPTIONS is also rather crucial in the
current state of things.

Comment 1 Michal Jaegermann 2004-04-10 23:22:31 UTC
Created attachment 99303 [details]
changes to a sawfish.spec

Comment 2 Michal Jaegermann 2004-04-10 23:25:06 UTC
Created attachment 99304 [details]
a patch for sawfish to make it to work with the current gnome

Comment 3 Havoc Pennington 2004-08-09 03:13:07 UTC
Sawfish has been dropped from Fedora Core 3, see
http://www.redhat.com/archives/fedora-desktop-list/2004-May/msg00054.html
for some more discussion.

Closing all Sawfish bugs for this reason.


Note You need to log in before you can comment on or make changes to this bug.